<div class="card col-md-6 offset-md-3 mt-5 animate__animated animate__fadeIn">
    <h4 class="card-header text-center" style="background-color: #0d6efd; color: white;">Agregar Prospecto</h4>
    <div class="card-body">
      
        <form [formGroup]="form" (ngSubmit)="onSubmit()" enctype="multipart/form-data">
            
            <div class="form-group">
                <label for="nombre">Nombre</label>
                <input type="text" formControlName="nombre" class="form-control" [ngClass]="{ 'is-invalid': submitted && formData.nombre.errors }" />
                  <div *ngIf="submitted && formData.nombre.errors" class="invalid-feedback">
                      <div *ngIf="formData.nombre.errors.required">Nombre es requerido</div>
                  </div>
            </div>
            <br>
  
            <div class="form-group">
              <label for="primer_apellido">Primer Apellido</label>
              <input type="text" formControlName="primer_apellido" class="form-control" [ngClass]="{ 'is-invalid': submitted && formData.primer_apellido.errors }" />
              <div *ngIf="submitted && formData.primer_apellido.errors" class="invalid-feedback">
                  <div *ngIf="formData.primer_apellido.errors.required">Primer Apellido es requerido</div>
              </div>
            </div>
            <br>

            <div class="form-group">
              <label for="segundo_apellido">Segundo Apellido</label>
              <input type="text" formControlName="segundo_apellido" class="form-control" [ngClass]="{ 'is-invalid': submitted && formData.segundo_apellido.errors }" />
              <div *ngIf="submitted && formData.segundo_apellido.errors" class="invalid-feedback">
                  <div *ngIf="formData.segundo_apellido.errors.required">Segundo Apellido es requerido</div>
              </div>
            </div>
            <br>

            <div class="form-group">
                <label for="calle">Calle</label>
                <input type="text" formControlName="calle" class="form-control" [ngClass]="{ 'is-invalid': submitted && formData.calle.errors }" />
                <div *ngIf="submitted && formData.calle.errors" class="invalid-feedback">
                    <div *ngIf="formData.calle.errors.required">Calle es requerido</div>
                </div>
              </div>
              <br>

              <div class="form-group">
                <label for="numero">Número</label>
                <input type="number" formControlName="numero" class="form-control" [ngClass]="{ 'is-invalid': submitted && formData.numero.errors }" />
                <div *ngIf="submitted && formData.numero.errors" class="invalid-feedback">
                    <div *ngIf="formData.numero.errors.required">Número es requerido</div>
                </div>
              </div>
              <br>

              <div class="form-group">
                <label for="colonia">Colonia</label>
                <input type="text" formControlName="colonia" class="form-control" [ngClass]="{ 'is-invalid': submitted && formData.colonia.errors }" />
                <div *ngIf="submitted && formData.colonia.errors" class="invalid-feedback">
                    <div *ngIf="formData.colonia.errors.required">Colonia es requerido</div>
                </div>
              </div>
              <br>

              <div class="form-group">
                <label for="codigo_postal">Codigo Postal</label>
                <input type="number" formControlName="codigo_postal" class="form-control" [ngClass]="{ 'is-invalid': submitted && formData.codigo_postal.errors }" />
                <div *ngIf="submitted && formData.codigo_postal.errors" class="invalid-feedback">
                    <div *ngIf="formData.codigo_postal.errors.required">Codigo Postal es requerido</div>
                </div>
              </div>
              <br>

              <div class="form-group">
                <label for="telefono">Teléfono</label>
                <input type="text" formControlName="telefono" class="form-control" [ngClass]="{ 'is-invalid': submitted && formData.telefono.errors }" />
                <div *ngIf="submitted && formData.telefono.errors" class="invalid-feedback">
                    <div *ngIf="formData.telefono.errors.required">Teléfono es requerido</div>
                </div>
              </div>
              <br>

              <div class="form-group">
                <label for="rfc">RFC</label>
                <input type="text" formControlName="rfc" class="form-control" [ngClass]="{ 'is-invalid': submitted && formData.rfc.errors }" />
                <div *ngIf="submitted && formData.rfc.errors" class="invalid-feedback">
                    <div *ngIf="formData.rfc.errors.required">RFC es requerido</div>
                </div>
              </div>
              <br>

              <p><strong>Documentos</strong></p>
                
              <div formArrayName="documentos">

                <div [formGroupName]="i" class="form-group d-grid gap-2 mt-2 mb-5" *ngFor="let documento of documentos.controls; let i = index">

                <input type="text" formControlName="fileName" placeholder="Nombre del documento" class="form-control" [ngClass]="{ 'is-invalid': submitted && documento.controls.fileName.errors?.required }"/>
                <div *ngIf="submitted && documento.controls.fileName.errors" class="invalid-feedback">
                  <div *ngIf="documento.controls.fileName.errors?.required">Nombre del documento es requerido</div>
                </div>

                <input type="file" formControlName="file" (change)="onFileChange($event)" class="form-control" [ngClass]="{ 'is-invalid': submitted && documento.controls.file.errors?.required }"/>
                <div *ngIf="submitted && documento.controls.file.errors" class="invalid-feedback">
                  <div *ngIf="documento.controls.file.errors?.required">Documento es requerido</div>
                </div>

                  <button class="btn btn-danger"
                        (click)="borrarDocumento(i)">
                        <i class="fas fa-trash-alt"></i>
                  Borrar Documento
                </button>

                </div>
              </div>
            
  
            <div class="form-group">

                <div class="d-grid gap-2 col-12 mx-auto">
                    <button class="btn btn-primary">
                        Agregar Prospecto
                    </button>
                </div>
                 
            </div>
        </form>

        <div class="d-grid gap-2 col-12 mt-2">

                    
            <button class="btn btn-info" style="color: white;"
            (click)="agregarDocumento()">
                <i class="fas fa-file" style="color: white;"></i>
                Agregar documento
            </button>
            
            <button class="btn btn-danger" (click)="salir()">
                Salir 
            </button>

        </div>

    </div>
  </div>